# Gst::EventNavigation Class Reference

A Navigation event. More...

`#include <event.h>`

Inheritance diagram for Gst::EventNavigation:

List of all members.

## Public Member Functions
| EventNavigation (GstEvent* event)
## Static Public Member Functions
static Glib::RefPtr<Gst::Event> | create (Gst::Structure& structure)
| Create a new navigation event from the given description.

## Detailed Description

A Navigation event.

See create() for more details.

## Constructor& Destructor Documentation

Gst::EventNavigation::EventNavigation | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventNavigation::create | ( | Gst::Structure& | structure | ) | `[static]`

Create a new navigation event from the given description.

Parameters:

  | structure | Description of the event.

Returns:
  A new Gst::EventNavigation.

The documentation for this class was generated from the following file:

- event.h